# Created by pyp2rpm-3.3.8
%global pypi_name nordpool

Name:           python-%{pypi_name}
Version:        0.4.5
Release:        %mkrel 1
Summary:        Python library for fetching Nord Pool spot prices
Group:          Development/Python
License:        None
URL:            https://github.com/kipe/nordpool
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Python library for fetching Nord Pool Elspot and Elbas prices.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python library for fetching Nord Pool Elspot and Elbas prices.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i -e 's/"^/">=/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Feb 26 2025 wally <wally> 0.4.5-1.mga10
+ Revision: 2152802
- new version 0.4.5
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 0.3.3-2.mga10
+ Revision: 2016450
- rebuild for py3.12

* Sat Dec 03 2022 wally <wally> 0.3.3-1.mga9
+ Revision: 1916194
- imported package python-nordpool

